pydo.dedicated_inferences.get()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.dedicated_inferences.get(
    dedicated_inference_id="6b5c619c-359c-44ca-87e2-47e98170c01d",
)
Returns JSONRaises HttpResponseError

Description

Retrieve an existing Dedicated Inference by ID. Send a GET request to /v2/dedicated-inferences/{dedicated_inference_id}. The status in the response is one of active, new, provisioning, updating, deleting, or error.

Parameters

dedicated_inference_id string required

A unique identifier for a Dedicated Inference instance.

Response Example

Show Response Example
{
  "dedicated_inference": {
    "id": "6b5c619c-359c-44ca-87e2-47e98170c01d",
    "status": "active",
    "region": "atl1",
    "vpc_uuid": "997615ce-132d-4bae-9270-9ee21b395e5d",
    "endpoints": {
      "public_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-public-dedicated-inference.do-infra.ai",
      "private_endpoint_fqdn": "https://b4bfug4jc41kts2ro54if91eo-private-dedicated-inference.do-infra.ai"
    },
    "created_at": "2024-01-09T20:44:32Z",
    "updated_at": "2024-01-09T20:44:32Z"
  }
}

More Information

See /v2/dedicated-inferences/{dedicated_inference_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.